Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log.format
Interface Formatter

All Known Implementing Classes:
  ExtendedPatternFormatter, PatternFormatter

    public interface Formatter

This defines the interface for components that wish to serialize LogEvents into Strings.

Author:
  Peter Donald

Method Summary
`String` | `format(LogEvent event)` Serialize log event into string.

Method Detail

### format

    String format(LogEvent event)

  Serialize log event into string.

  Parameters:
    `event` - the event
  Returns:
    the formatted string

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.